Last Comment Bug 404051 - Add .es to IDN TLD whitelist
: Add .es to IDN TLD whitelist
Status: VERIFIED FIXED
: intl, verified1.8.1.12
Product: Core
Classification: Components
Component: Networking (show other bugs)
: unspecified
: All All
: -- enhancement (vote)
: ---
Assigned To: Gervase Markham [:gerv]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 08:56 PST by Gervase Markham [:gerv]
Modified: 2008-01-29 01:18 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v.1 (883 bytes, patch)
2007-11-23 04:48 PST, Gervase Markham [:gerv]
samuel.sidler+old: approval1.8.1.12+
mbeltzner: approval1.9+
Details | Diff | Splinter Review

Description Gervase Markham [:gerv] 2007-11-16 08:56:27 PST
NIC: https://www.nic.es/
Regulations: https://www.nic.es/descargas/normativa.pdf
Character list: https://www.nic.es/descargas/FAQs.pdf

Seems fine to me. They only allow middle dot in the combo l<dot>l, like the Catalans. They don't bundle accented and non-accented domains, but we don't require that.

Gerv
Comment 1 Gervase Markham [:gerv] 2007-11-16 08:58:28 PST
Checking in tld-idn-policy-list.html;
/www/mozilla-org/html/projects/security/tld-idn-policy-list.html,v  <--  tld-idn-policy-list.html
new revision: 1.16; previous revision: 1.15
done

Gerv
Comment 2 Gervase Markham [:gerv] 2007-11-23 04:48:41 PST
Created attachment 289919 [details] [diff] [review]
Patch v.1

This patch applies to the branch, and to the trunk (with an offset). Requesting approval for both. 

This patch adds the ".es" TLD to the IDN whitelist.

Gerv
Comment 3 Mike Beltzner [:beltzner, not reading bugmail] 2007-11-23 13:18:43 PST
Comment on attachment 289919 [details] [diff] [review]
Patch v.1

a=beltzner for drivers
Comment 4 Gervase Markham [:gerv] 2007-11-28 02:15:39 PST
Checking in modules/libpref/src/init/all.js;
/cvsroot/mozilla/modules/libpref/src/init/all.js,v  <--  all.js
new revision: 3.707; previous revision: 3.706
done

Leaving bug open for branch approval.

Gerv
Comment 5 Daniel Veditz [:dveditz] 2007-12-17 15:43:20 PST
Fixed on trunk, we use keywords for branch
Comment 6 Samuel Sidler (old account; do not CC) 2007-12-17 15:43:48 PST
Comment on attachment 289919 [details] [diff] [review]
Patch v.1

Approved for 1.8.1.12; a=ss for release-drivers. Please land as soon as possible.
Comment 7 Gervase Markham [:gerv] 2007-12-18 10:33:01 PST
Checking in modules/libpref/src/init/all.js;
/cvsroot/mozilla/modules/libpref/src/init/all.js,v  <--  all.js
new revision: 3.585.2.57; previous revision: 3.585.2.56
done

Gerv
Comment 8 Stephen Donner [:stephend] 2008-01-28 20:47:16 PST
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.12pre) Gecko/20080128
BonEcho/2.0.0.12pre:

mozilla@mozilla-qa:~/Desktop/firefox/greprefs$ cat all.js | grep "whitelist.es"
pref("network.IDN.whitelist.es", true);

http://bonsai.mozilla.org/cvsview2.cgi?diff_mode=context&whitespace_mode=show&root=&subdir=mozilla/modules/libpref/src/init&command=DIFF_FRAMESET&root=&file=all.js&rev1=3.585.2.56&rev2=3.585.2.57

Verified FIXED on the 1.8.1.12 branch; replacing fixed1.8.1.12 keyword with verified1.8.1.12
Comment 9 Stephen Donner [:stephend] 2008-01-29 01:18:22 PST
Verified on trunk with today's builds (Windows, Mac, Linux), by inspecting all.js

Note You need to log in before you can comment on or make changes to this bug.